package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ActSuppliesConvertroleMapper;
import com.ruoyi.system.domain.ActSuppliesConvertrole;
import com.ruoyi.system.service.IActSuppliesConvertroleService;

/**
 * 通用规则Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-29
 */
@Service
public class ActSuppliesConvertroleServiceImpl implements IActSuppliesConvertroleService
{
    @Autowired
    private ActSuppliesConvertroleMapper actSuppliesConvertMapper;

    /**
     * 查询通用规则
     * 
     * @param id 通用规则ID
     * @return 通用规则
     */
    @Override
    public ActSuppliesConvertrole selectActSuppliesConvertById(Long id)
    {
        return actSuppliesConvertMapper.selectActSuppliesConvertById(id);
    }

    /**
     * 查询通用规则列表
     * 
     * @param actSuppliesConvertrole 通用规则
     * @return 通用规则
     */
    @Override
    public List<ActSuppliesConvertrole> selectActSuppliesConvertList(ActSuppliesConvertrole actSuppliesConvertrole)
    {
        return actSuppliesConvertMapper.selectActSuppliesConvertList(actSuppliesConvertrole);
    }

    /**
     * 新增通用规则
     * 
     * @param actSuppliesConvertrole 通用规则
     * @return 结果
     */
    @Override
    public int insertActSuppliesConvert(ActSuppliesConvertrole actSuppliesConvertrole)
    {
        actSuppliesConvertrole.setCreateTime(DateUtils.getNowDate());
        return actSuppliesConvertMapper.insertActSuppliesConvert(actSuppliesConvertrole);
    }

    /**
     * 修改通用规则
     * 
     * @param actSuppliesConvertrole 通用规则
     * @return 结果
     */
    @Override
    public int updateActSuppliesConvert(ActSuppliesConvertrole actSuppliesConvertrole)
    {
        actSuppliesConvertrole.setUpdateTime(DateUtils.getNowDate());
        return actSuppliesConvertMapper.updateActSuppliesConvert(actSuppliesConvertrole);
    }

    /**
     * 批量删除通用规则
     * 
     * @param ids 需要删除的通用规则ID
     * @return 结果
     */
    @Override
    public int deleteActSuppliesConvertByIds(Long[] ids)
    {
        return actSuppliesConvertMapper.deleteActSuppliesConvertByIds(ids);
    }

    /**
     * 删除通用规则信息
     * 
     * @param id 通用规则ID
     * @return 结果
     */
    @Override
    public int deleteActSuppliesConvertById(Long id)
    {
        return actSuppliesConvertMapper.deleteActSuppliesConvertById(id);
    }
}
